package com.agiledeveloper;

import java.util.Vector;

public class Test
{
    public static void method1()
    {
        Vector vec = new Vector();

        vec.add(1);
        vec.add(2);
        //vec.add(2.2); // Runtime error

        int total = 0;
        for(Object val : vec)
        {
            Integer intVal = (Integer) val;
            total = total + intVal;
        }

        System.out.println("Total is " + total);
    }

    private static void method2()
    {
        Vector<Integer> vec = new Vector();

        vec.add(1);
        vec.add(2);
        //vec.add(2.2); // Compilation error

        int total = 0;
        for(Integer val : vec)
        {
            total = total + val;
        }

        System.out.println("Total is " + total);
    }

    public static void main(String[] args)
    {
        try
        {
            method1();
        }
        catch(Exception ex)
        {
            System.out.println(ex);
        }

        try
        {
            method2();
        }
        catch(Exception ex)
        {
            System.out.println(ex);
        }
    }
}
