package com.agiledeveloper;

import java.util.Collection;
import java.util.ArrayList;
import java.util.Collections;

public class Test
{
    public static void main(String[] args)
    {
        mess1();

        mess2();

        OK();
    }

    public static void mess1()
    {
        try
        {
            Collection<Integer> col = new ArrayList<Integer>();

            col.add(new Integer(1));

            //col.add(new Double(2)); // Compilation error.

            Collection c = col;

            c.add("hello");  // Runtime trouble waiting to happen

            for(Integer val : col)
            {
                System.out.println(val);
            }
        }
        catch (Exception e)
        {
            System.out.println("Error: ");
            e.printStackTrace();
        }
    }

    private static void mess2()
    {
        try
        {
            Collection<Integer> lst = new ArrayList<Integer>();
            foo(lst);

            for(Integer val : lst)
            {
                System.out.println(val);
            }
        }
        catch (Exception e)
        {
            System.out.println("Error:");
            e.printStackTrace();
        }
    }

    private static void OK()
    {
        try
        {
            Collection<Integer> col = new ArrayList<Integer>();

            // Note, here exception is thrown when you try to
            // insert the wrong type.

            foo(Collections.checkedCollection(col, Integer.class));
        }
        catch(Exception ex)
        {
            System.out.println("Error: " + ex);
        }
    }

    public static void foo(Collection c)
    {
        c.add("haha");
    }
}
